Skip to main content
GET
/
{space_id}
/
workflows
/
{workflow_id}
/
jobs
/
summary
Error
A valid request URL is required to generate request examples
{
  "waiting_job_count": 123,
  "in_process_job_count": 123,
  "completed_job_count": 123,
  "failed_job_count": 123,
  "stopped_job_count": 123,
  "total_job_count": 123,
  "activation_date": [
    "2020-01-21T15:53:12.388317Z"
  ],
  "last_used_date": [
    "2020-01-22T15:53:12.182617Z"
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header

Path Parameters

space_id
string<uuid>
required

UP Space Id

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

workflow_id
string<uuid>
required

Unique identifier of a Workflow

Example:

"e3c908ad-dc8f-4edb-88f7-c84dec0aef99"

Response

A summary of the jobs present for the specified workflow. The workflow summary includes a breakdown of all jobs in their respective states.

waiting_job_count
integer
read-only

The number of workflow jobs in a waiting state

in_process_job_count
integer
read-only

The number of workflow jobs in an in-process state

completed_job_count
integer
read-only

The number of workflow jobs in a completed state

failed_job_count
integer
read-only

The number of workflow jobs in a failed state

stopped_job_count
integer
read-only

The number of workflow jobs in a stopped state

total_job_count
integer
read-only

The total number of workflow jobs for the specified workflow

activation_date
string<date-time> | null
read-only

Timestamp when Workflow was last activated in UTC time in iso8601 format

Example:
["2020-01-21T15:53:12.388317Z"]
last_used_date
string<date-time> | null
read-only

Timestamp when the workflow was last given a job submission in UTC time in iso8601 format

Example:
["2020-01-22T15:53:12.182617Z"]